moFitComparator(3)

NAME
moFitComparator - Comparison according to the fitness.

SYNOPSIS

#include <moFitComparator.h>

Inherits moComparator< EOT >< EOT >.

  Public Member Functions
bool operator() (const EOT &_solution1, const EOT &_solution2)
Function which makes the comparison and gives the result.

Detailed Description

  template<class EOT> class moFitComparator< EOT >
Comparison according to the fitness. An EOT is better than an other if its fitness is better.

Definition at line 46 of file moFitComparator.h.

Member Function Documentation

  template<class EOT> bool moFitComparator< EOT >::operator() (const EOT & _solution1, const EOT & _solution2) [inline]

Function which makes the comparison and gives the result.

Parameters:
    _solution1 The first solution.
    _solution2 The second solution.

Returns:
    true if the fitness of the first solution is better than the second solution, false else.

Definition at line 56 of file moFitComparator.h.

Author

Generated automatically by Doxygen for ParadisEO-MOMovingObjects from the source code.